var System=require("../../system")
class entrepreneurstasticCtl{
  constructor(){
    this.tradeSve=System.getObject("service.tradeSve");
    this.accountSve=System.getObject("service.accountSve");
    this.appSve=System.getObject("service.appSve");
    this.productDao=System.getObject("db.productDao");
    this.gsbSearchApi=System.getObject("api.gsbtmsearch");
    this.cacheManager=System.getObject("db.cacheManager");
  }
  convertDate(time){
    if(time==null){
      return "";
    }
     var date =  new Date(Number(time*1000));
     var y = 1900+date.getYear();
     var m = "0"+(date.getMonth()+1);
     var d = "0"+date.getDate();
     return y+"-"+m.substring(m.length-2,m.length)+"-"+d.substring(d.length-2,d.length);
  }
  async findAndCountAll(queryobj,obj,req){

  }

  async getDetail(queryobj,obj,req){

}
module.exports=entrepreneurstasticCtl;
